GET /v2/tasks.json
Operation ID: —
Auth: unknown
Description
Fetches multiple task records. The records can be filtered, paged, and sorted according to the respective parameters.
Parameters (15)
(array, query, optional)
Filters tasks by the account to which they are associated.
(array, query, optional)
Filters tasks by their current state. Valid current_states include: ['scheduled', 'completed'].
(string, query, optional)
Filters tasks by idempotency key.
(array, query, optional)
IDs of tasks to fetch.
(boolean, query, optional)
Whether to include total_pages and total_count in the metadata. Defaults to false
(boolean, query, optional)
Specifies whether the max limit of 10k records should be applied to pagination counts. Affects the total_count and total_pages data
(array, query, optional)
Filters tasks by locale of the person to which they are associated.
(integer, query, optional)
The current page to fetch results from. Defaults to 1
(integer, query, optional)
How many records to show per page in the range [1, 100]. Defaults to 25
(array, query, optional)
Filters tasks by the person to which they are associated.
(string, query, optional)
Key to sort on, must be one of: due_date, due_at. Defaults to due_date
(string, query, optional)
Direction to sort in, must be one of: ASC, DESC. Defaults to ASC
(array, query, optional)
Filters tasks by their task type. Valid task_types include: ['call', 'email', 'general'].
(string, query, optional)
Filters tasks by time interval. Valid time_intervals include: ['overdue', 'today', 'tomorrow', 'this_week', 'next_week'].
(array, query, optional)
Filters tasks by the user to which they are assigned.
No probe data for this endpoint yet.